<?php

namespace App\Controller;

use App\Services\PatientCaseService;
use Psr\Http\Message\ResponseInterface;

/**
 * 病例
 */
class PatientCaseController extends AbstractController
{
    /**
     * 获取患者最后一份问诊病例
     * @return ResponseInterface
     */
    public function getLastCase(): ResponseInterface
    {
        $PatientCaseService = new PatientCaseService();
        $data = $PatientCaseService->getLastCase();
        return $this->response->json($data);
    }
}